CachePropertyUtil (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.CachePropertyUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class CachePropertyUtil

    java.lang.Object
      org.apache.solr.handler.dataimport.CachePropertyUtil

    public class CachePropertyUtil

extends Object

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Constructor Summary
`CachePropertyUtil()`

Method Summary
`static Object` | `getAttributeValue(Context context, String attr)`
`static String` | `getAttributeValueAsString(Context context, String attr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachePropertyUtil

    public CachePropertyUtil()

Method Detail

### getAttributeValueAsString

    public static String getAttributeValueAsString(Context context,
                                                   String attr)

### getAttributeValue

    public static Object getAttributeValue(Context context,
                                           String attr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD